Script Versions

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • content

  • content_count

  • contentExists

  • script

  • script_count

  • scriptExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • is_deployed

Authorizations
Path parameters
script_versionstringRequired

The script version identifier.

Query parameters
filter[is_deployed]stringOptional

Filter results by is_deployed.

filter[deployed_at]stringOptional

Filter results by deployed_at.

includestringOptional

Comma-separated list of relationships to include. Available: content, script

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
get
/api/v1/script-versions/{script_version}

Destroy

delete

Delete a script version.

Authorizations
Path parameters
script_versionstringRequired

The script version identifier.

Responses
delete
/api/v1/script-versions/{script_version}

Deploy

post

Deploy for deploy.

Authorizations
Path parameters
script_versionstringRequired

The script version identifier.

Responses
post
/api/v1/script-versions/{script_version}/deploy

Invoke

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

variables

payload

string

flow

flow.variables

Authorizations
Path parameters
script_versionstringRequired

The script version identifier.

Body
variablesstringOptional
payloadstringOptional
Responses
post
/api/v1/script-versions/{script_version}/invoke

Index

get

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

since

tail

Authorizations
Path parameters
script_versionstringRequired

The script version identifier.

Responses
get
/api/v1/script-versions/{script_version}/logs

Script-Upload

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

private

Authorizations
Path parameters
script_versionstringRequired

The script version identifier.

Body
privatestringOptional
Responses
post
/api/v1/script-versions/{script_version}/upload

Last updated

Was this helpful?